import React from 'react'

import Artwork from './Artwork'
import data from '../data/obras.json'

function ArtworkCollection(props: JSX.IntrinsicElements['group']) {
  return (
    <group {...props}>
      {data.map((obra, index) => {
        let rotation = Math.PI / 8 + (index * Math.PI) / 8
        if (index > 6) rotation += Math.PI / 8
        return (
          <Artwork
            model={null}
            key={obra.obra_url}
            rotation={[0, rotation, 0]}
            position={[0, 0, -37.8632]}
            obraData={obra}
          />
        )
      })}
    </group>
  )
}

export default ArtworkCollection
